> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bestinslot.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Sats Names

> Endpoints related to sats names.

<Warning>
  **Retired.** These endpoints are no longer served. Run [OPI](https://github.com/bestinslot-xyz/OPI) instead — see the [introduction](/docs/introduction). Kept for historical reference.
</Warning>

Endpoints' API-Key-Tier availabilities are written for each endpoint.

**To use on testnet4/signet, use your current api-key and send the request to `https://testnet.api.bestinslot.xyz` / `https://signet_api.bestinslot.xyz`**

## Sats Validity Check

*Included in: Basic, Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/sats/validity_check`

Returns validity details about a specific inscription.

Sample query: [https://api.bestinslot.xyz/v3/sats/validity\_check?inscription\_id=8ca50ea8ed42bf9b1b2dad8df4fddb1d354769b32d240e2d5a788ee78ef2bab0i0](https://api.bestinslot.xyz/v3/sats/validity_check?inscription_id=8ca50ea8ed42bf9b1b2dad8df4fddb1d354769b32d240e2d5a788ee78ef2bab0i0)

#### Query Parameters

| Name | Type | Description |
| - | - | - |
| inscription\_id\* | string | inscription id |

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": {
            "sats_name": "penguins.sats",
            "original_id": "b8cd5daeb8859410c4cc01d88bfa5afe6c508713882af7099b45b5d583c270d7i0",
            "is_valid": false
        },
        "block_height": 795034
    }
    ```
  </Tab>
</Tabs>

## Sats Forward Lookup

*Included in: Basic, Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/sats/forward_lookup`

Returns address from a sats name.

Sample query: [https://api.bestinslot.xyz/v3/sats/forward\_lookup?sats\_name=penguins.sats](https://api.bestinslot.xyz/v3/sats/forward_lookup?sats_name=penguins.sats)

#### Query Parameters

| Name | Type | Description |
| - | - | - |
| sats\_name\* | string | sats name |

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": {
            "wallet": "bc1prjglj0tcff20fe4rkwlfj6rjpgjgp3c9k252gsrwysmc7uuk9dcqm40l8k",
            "bis_url": "https://bestinslot.xyz/bc1prjglj0tcff20fe4rkwlfj6rjpgjgp3c9k252gsrwysmc7uuk9dcqm40l8k"
        },
        "block_height": 795034
    }
    ```
  </Tab>
</Tabs>

## Sats Reverse Lookup

*Included in: Basic, Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/sats/reverse_lookup`

Returns valid sats name with minimum inscription number from a bitcoin wallet address.

Sample query: [https://api.bestinslot.xyz/v3/sats/reverse\_lookup?address=bc1prjglj0tcff20fe4rkwlfj6rjpgjgp3c9k252gsrwysmc7uuk9dcqm40l8k](https://api.bestinslot.xyz/v3/sats/reverse_lookup?address=bc1prjglj0tcff20fe4rkwlfj6rjpgjgp3c9k252gsrwysmc7uuk9dcqm40l8k)

#### Query Parameters

| Name | Type | Description |
| - | - | - |
| address\* | string | bitcoin wallet address |

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": {
            "name": "cindi.sats",
            "bis_url": "https://bestinslot.xyz/cindi.sats"
        },
        "block_height": 795034
    }
    ```
  </Tab>
</Tabs>

## Get Sats Activity

*Included in: Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/sats/activity`

Returns ordered list of inscribes, sales and transfers of all sats.

Sample query: [https://api.bestinslot.xyz/v3/sats/activity?activity\_filter=7\&sort\_by=ts\&order=desc\&offset=0\&count=100](https://api.bestinslot.xyz/v3/sats/activity?activity_filter=7\&sort_by=ts\&order=desc\&offset=0\&count=100)

#### Query Parameters

| Name | Type | Description | |
| - | - | - | - |
| sort\_by\* | string | ts | |
| order\* | string | asc, desc | |
| offset\* | int | 0 \<= offset \<= 5k | |
| count\* | int | 20 \<= count \<= 100 | |
| activity\_filter\* | int | 1 -> inscribed 2 -> transferred 4 -> sold combine with or operator (e.g. sold & transferred: 2 | 4 = 6) |

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": [
            {
                "inscription_id": "04a5e6e80d49eae28b6da1185eae2566acf438f52957ca214a262ff1a398d469i0",
                "from_wallet": "bc1qzfcrcx5xtsc25dkzls9smmr45fztfpwyznnmzh",
                "to_wallet": "bc1pnvfmyadyqy6ggdhqaktm7crs3tgpnvadc9rnt973axfr6twend6qexd5qz",
                "block_height": 801580,
                "sale_price": 3531,
                "new_satpoint": "a54d450288ae6ea1165ea02ac3e60b69d56b172ea9fb77ab2011b15cbeb6eeb3:1:0",
                "ts": "2023-08-04T01:10:16.000Z",
                "marketplace_type": "magiceden",
                "tx_id": "a54d450288ae6ea1165ea02ac3e60b69d56b172ea9fb77ab2011b15cbeb6eeb3"
            },
            ...
        ],
        "block_height": 801585
    }
    ```
  </Tab>
</Tabs>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.